<?php
session_start();

define( 'ROOT', 'http://'.$_SERVER['HTTP_HOST'] );
define( 'ROOT_DIR', $_SERVER['DOCUMENT_ROOT'] );

include_once ROOT_DIR . '/engine/config.php';
include_once ROOT_DIR . '/engine/func.php';

if(session_id() != $_POST['sid']) die('Access_denied');

$ext = substr($_FILES['upl_file']['name'], 1 + strrpos($_FILES['upl_file']['name'], "."));
$ext = strtolower($ext);
$nam = $_FILES['upl_file']['name'];
$valid_ext = array('rar','zip'); // допустимые расширения
if(in_array($ext, $valid_ext)){
    $filename = time().'.'.$ext; // переименовываем файлик
    $path_file = $_SERVER['DOCUMENT_ROOT'].'/kukus/'.$filename;
    if(!copy($_FILES['upl_file']['tmp_name'], $path_file)){
        echo 'Файл не загружен. Повторите попытку';
    }else{

       $fil = '/kukus/'.$nam;

       $razm = get_filesize (''.$path_file.'');
       $pdo->Query("INSERT INTO `php_upload` VALUES('', '" . $_SESSION['tov'] . "', '" . $_SESSION['id'] . "', '".pass_hash($filename)."', '".$filename."', '$nam', '$razm')");
       $pdo->Query("UPDATE `php_tovar` SET `moder` = '2' WHERE `id` = '" . $_SESSION['tov'] . "'");
       $pdo->Query("UPDATE `php_user` SET `reyt` = `reyt` + '0.05' WHERE `id` = '" . $_SESSION['id'] . "'");
       echo "<br /><div align='center'><font color='green'>Файл успешно загружен.</font></div>";
       unset ( $_SESSION["tov"] );

       include_once ROOT_DIR . '/engine/libmail.php';
       $sqlqs = $pdo->Query("SELECT * FROM `php_engine` WHERE `id` = '1'");
       $refdata = $sqlqs->Fetch();
       $smtp_port = $refdata['smtp_port'];
       $port = $refdata['port'];
       $smtp_email = $refdata['smtp_email'];
       $password = $refdata['password'];


        $messag = '
                         <html>
                         <head>
                         <title>Новый товар на модерации</title>
                         <style type="text/css">
                         html, body {
                         margin:0;
                         margin-left:5px;
                         padding:0;
                         font-size:12px;
                         }
                         p {
                         margin:0;
                         padding:3px;
                         }
                         </style>
                         </head>
                         <body>
                         <p>В магазине akclub.ru добавлен новый товар</b>.</p>
                         </html>';

                         $m = new Mail;
                         $m->From( 'Новый товар на модерации;' . $smtp_email ); // от кого отправляется почта
                         $m->To( 'ieshop32@gmail.com' ); // кому адресованно
                         $m->Subject( 'Новый товар на модерации ' . $_SERVER["HTTP_HOST"] );
                         $m->Body( $messag );
                        //$m->Cc( "copy@asd.com"); // копия письма отправится по этому адресу
                        //$m->Bcc( "bcopy@asd.com"); // скрытая копия отправится по этому адресу
                         $m->Priority( 3 ); // приоритет письма
                        //$m->Attach( "asd.gif","", "image/gif" ) ; // прикрепленный файл
                         $m->smtp_on( $smtp_port, $smtp_email, $password, $port ); // если указана эта команда, отправка пойдет через SMTP
                         $m->Send(); // а теперь пошла отправка




       ?><script>  setTimeout( "location='/my';", 2000 ); </script><?
    }
}else{
    echo 'Недопустимый формат файла.';
}
?>